.LogSignPage {
  padding: 90px 32px;
  width: 100%;
  overflow-y: auto;
  &::-webkit-scrollbar {
    width: 25px;
    padding-right: 10px;
  }
  &::-webkit-scrollbar-track {
    width: 10px;
    background: none;
  }
  &::-webkit-scrollbar-thumb {
    background: #2dad96;
    // padding: 5px;
    border-radius: 15px;
    border: 10px solid #f8f8fd;
    box-sizing: border-box;
  }
}
.setModeSwitcher {
  margin-top: 32px;
  margin-bottom: 24px;
  border: 1px solid #999fb1;
  border-radius: 8px;
  display: flex;
  justify-content: space-between;
  gap: 16px;
  padding: 6px;
  position: relative;
}
.setModeSwitcherItem {
  cursor: pointer;
  width: 100%;
  text-align: center;
  color: #999fb1;
  padding: 4px 0;
  position: relative;
  z-index: 1;
  transition: all 0.3s ease;
  &.active {
    color: #fff;
  }
}
.setModeSwitcherBG {
  position: absolute;
  background: #2dad96;
  border-radius: 5px;
  width: calc(50% - 14px);
  height: calc(100% - 12px);
  top: 50%;
  transform: translateY(-50%);
  z-index: 0;
  transition: all 0.3s ease;
  &.left {
    left: 6px;
  }
  &.right {
    left: 100%;
    transform: translate(calc(-100% - 6px), -50%);
  }
}
.alternativeAuthorization {
  margin-top: 32px;
}
.alternativeAuthorizationBorder {
  position: relative;
  border-top: 2px solid #aaafbe;
  margin-bottom: 32px;
  & > span {
    position: absolute;
    padding: 0 13px;
    background: #fff;
    color: #aaafbe;
    font-size: 20px;
    left: 50%;
    top: 0;
    transform: translate(-50%, -50%);
  }
}
.alternativeAuthorizationItems {
  display: flex;
  gap: 12px;
}
.alternativeAuthorizationItem {
  width: 100%;
  padding: 15px 0;
  border-radius: 8px;
  -webkit-box-shadow: 0px 4px 7px 1px rgba(0, 0, 0, 0.2);
  -moz-box-shadow: 0px 4px 7px 1px rgba(0, 0, 0, 0.2);
  box-shadow: 0px 4px 7px 1px rgba(0, 0, 0, 0.2);
  transition: all 0.3s ease;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 10px;
  cursor: pointer;
  &:hover {
    -webkit-box-shadow: 0px 4px 7px 4px rgba(0, 0, 0, 0.2);
    -moz-box-shadow: 0px 4px 7px 4px rgba(0, 0, 0, 0.2);
    box-shadow: 0px 4px 7px 4px rgba(0, 0, 0, 0.2);
  }
}

